.searchPage {
  height: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.searchContainer {
  height: 280px;
  text-align: center;
  font-weight: bold;
  font-size: larger;
  width: 400px;
  background-color: rgba(255, 255, 255, 0.8);
  margin-top: -100px;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between; /* Adjusted this line */
}

.search-post-button {
  background-color: rgba(255, 255, 255, 0.8);
  width: fit-content;
  padding: 15px;
  margin: 30px;
  margin-left: 37.5%;
  border-radius: 8px;
  color: black;
  font-size: x-large;
  display: flex;
  position: absolute;
  top: 60%;
  right: 43%;
}

.select-field {
  width: 100%;
}

.label {
  display: block;
  font-size: 14px;
  margin-bottom: 5px;
}

.select-input {
  width: 100%;
  padding: 10px;
  margin: 8px 0;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.search-input {
  width: 90%;
  padding: 10px;
  margin: 8px 0;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.search-button,
.unblock-button,
.block-button {
  width: 100%;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  margin-top: 10px;
}

.search-button {
  background-color: #4caf50;
  color: white;
}

.search-button:hover {
  background-color: #45a049;
}

.userResults {
  display: inline-flex;
  flex-wrap: wrap;
  gap: 15px;
  width: fit-content;
  margin-left: 50px;
  list-style: none;
  padding: 0;
}

.user {
  border-style: double;
  font-weight: bold;
  background-color: #f9f9f9;
  border-radius: 4px;
  padding: 10px;
  margin-bottom: 10px;
}

.block-button,
.unblock-button {
  padding: 8px 16px;
  background-color: #f44336;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.unblock-button {
  background-color: #4caf50;
}

.block-button:hover,
.unblock-button:hover {
  background-color: #d32f2f;
}
